@echo off
REM
REM BEGIN COPYRIGHT
REM *************************************************************************
REM Licensed Materials - Property of IBM 
REM 5724-L01, 5655-N53, 5724-I82, 5655-R15
REM (C) Copyright IBM Corporation 2006, 2009. All rights reserved. 
REM US Government Users Restricted Rights - Use, duplication, or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp.
REM *************************************************************************
REM END COPYRIGHT
REM 
REM  Description:   Configure Oracle Database environment for CommonDB in occasion of Setup a new or existing database separately
REM  Run the script always where it is located rather running from different folder
REM  This file for use on Windows systems

setlocal

SET CUR_DIR=%cd%

%~d0
cd %~p0

set ATSTRING=@

dir /B | findstr "\<create"Table > files.log
dir /B | findstr "\<insert"Table >> files.log

for /F "tokens=1* delims=" %%v in ( files.log) do (
echo %ATSTRING%%%v >> files.sql
)

echo quit >> files.sql

del files.log

call sqlplus @DB_USER@@@DB_NAME@ @files.sql

del  files.sql

cd /d "%CUR_DIR%"
